Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.exif
Class DefaultIIOMetadata

    java.lang.Object
      javax.imageio.metadata.IIOMetadata
          org.monte.media.exif.DefaultIIOMetadata

    public class DefaultIIOMetadata

extends javax.imageio.metadata.IIOMetadata

DefaultIIOMetadata.

Version:
  1.0 2010-09-07 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class javax.imageio.metadata.IIOMetadata
`controller, defaultController, extraMetadataFormatClassNames, extraMetadataFormatNames, nativeMetadataFormatClassName, nativeMetadataFormatName, standardFormatSupported`

Constructor Summary
`DefaultIIOMetadata(java.lang.String formatName, javax.imageio.metadata.IIOMetadataNode root)`

Method Summary
`org.w3c.dom.Node` | `getAsTree(java.lang.String formatName)`
`boolean` | `isReadOnly()`
`void` | `mergeTree(java.lang.String formatName, org.w3c.dom.Node root)`
`void` | `reset()`

Methods inherited from class javax.imageio.metadata.IIOMetadata
`activateController, getController, getDefaultController, getExtraMetadataFormatNames, getMetadataFormat, getMetadataFormatNames, getNativeMetadataFormatName, getStandardChromaNode, getStandardCompressionNode, getStandardDataNode, getStandardDimensionNode, getStandardDocumentNode, getStandardTextNode, getStandardTileNode, getStandardTransparencyNode, getStandardTree, hasController, isStandardMetadataFormatSupported, setController, setFromTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIIOMetadata

    public DefaultIIOMetadata(java.lang.String formatName,
                              javax.imageio.metadata.IIOMetadataNode root)

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in class `javax.imageio.metadata.IIOMetadata`

### getAsTree

    public org.w3c.dom.Node getAsTree(java.lang.String formatName)

  Specified by:
    `getAsTree` in class `javax.imageio.metadata.IIOMetadata`

### mergeTree

    public void mergeTree(java.lang.String formatName,
                          org.w3c.dom.Node root)
                   throws javax.imageio.metadata.IIOInvalidTreeException

  Specified by:
    `mergeTree` in class `javax.imageio.metadata.IIOMetadata`
  Throws:
    `javax.imageio.metadata.IIOInvalidTreeException`

### reset

    public void reset()

  Specified by:
    `reset` in class `javax.imageio.metadata.IIOMetadata`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD